2019-10-21 17:32 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001646FSSCPuser interfacepublic2008-03-31 12:58
Reporterasyikarea51 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001646: Fighters without afterburner don't show shield display
DescriptionA last minute one before I call it a day. As usual, for anything I'm not sure of, I'll keep checking.

Tested builds:
G5K Trunk
Taylor XT0314
Taylor October 28, 2007

In my mod ruleset I've commented out the $Shield_icon entry in the tables so that I can use the SCP's integrated 4-quadrant shielding renderer.

Now I have an Anubis fighter, and by default it has no afterburner. When playing the game with the player flying this ship, the shield quadrant display for the player ship doesn't show on the HUD. Only by setting AFTERBURNER to YES and giving it some generic afterburner stats, did the shield display show itself correctly.
Additional Information1) So far the shields themselves work fine (Anubis itself shows laser hit effect correctly, player's-shields-hit-by-enemy-weapons sound plays correctly), although I can't verify it straight out since my test mission has the hostiles going for other targets.

2) I'm not sure if this afffects standard ANI quadrants. But personally I don't think so, because by then it would have been fairly obvious in the FS1 Port mod already.

3) I'm also not sure if this affects targeted fighters/bombers and not just the player's own quadrant, and as to whether or not (2) applies here as well.

4) It doesn't matter if $Shield_icon is commented out, or enabled but with the entry left blank (like retail $Stealth entries). There is no difference to the display.

I'll get around to testing these when I can and will leave more details, etc. If a rules entry is needed I'll leave the fluff out and post it up, though I hope it won't be necessary.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009092

taylor (administrator)

You are supposed to use the "generate icon" flag to enable the hud icon, but a bug not only didn't do that properly, it hid it from you if you didn't have the flag. The bug is that it was checking the wrong set of flags to see if "generate icon" was set. Unfortunately the afterburner flag has the same value as "generate icon" though it is for a different flag set (Ship_info[].flags as opposed to Ship_info[].flags2).

The bug is easy enough to fix, but I have a feeling that it's going to break a bunch of things since most people didn't really know that their data is wrong. It can be set to always enable, regardless of the "generate icon" flag, but I'm not sure if that's the correct way to handle it.

I'm going to confer with karajorma before I commit anything, but it should be fixed for the next build that someone releases.

~0009093

asyikarea51 (reporter)

Well, that's interesting. I feel so weird now. Never post bugs without checking them 2/3/4/plenty of times and never post a bug in the middle of the night when I can't even keep myself awake!!! -_-

I'll take note of it, it's one more thing to try. Still if Karajorma says that "generate icon" should be used, then I'll go ahead and append it to every fighter and bomber in my rules table. Probably just plain forgot about it in all my troubleshooting and testing.

It's not fair if other people's rulesets get broken just because of an unintentional slip-up on my end.

~0009094

taylor (administrator)

The bug exists either way, so even if you did have "generate icon" on there it wouldn't have worked unless you also had afterburners. If you hadn't pointed it out that bug would probably be there for a few more years (it has already been there for *3* years!). :)

~0009095

asyikarea51 (reporter)

LOL. Okay. Yah, it was like 3am when I filed the bug report, now it's 9+ and waking up only to realise this, I was like, "duhhhhhh....."

Thanks, I'm off to work on tables. This is Mantis, so I'll limit my commentary. =)

~0009109

karajorma (administrator)

Both TBP and BtRL at least would have problems if we simply fixed the bug as both have ships in the tables which don't use the generate icon flag. BtRL can be patched but TBP is looking at a final release soon so unless we move quickly we could have problems there. Don't know about other mods and TCs.

The only problem I see with turning it on by default is if the campaign designer deliberately didn't want a hud icon. But if anyone was doing that I'm sure we'd have heard from them already complaining that they couldn't get a ship NOT to display an icon.

If it was turned on by default though it probably should be limited to auto-on for fighters and bombers only. The current code seems to assume that the data is doing that. Unless we want to turn it on for capships too and claim it's a new feature. :D

~0009110

taylor (administrator)

I finally hit me that it's super easy to enable it by default without breaking anything. It was testing for no shield icon and the afterburner flag when it was broken, so I can just have it do that for all ships post-parse and add the "generate icon" flag to the ships that fit that old test case. That should make it work the same as before for all ships, but still fix the bug in a clean way. :)

It also spews a Warning() about the change as well, so that way mods will know to fix their data.

I'll go ahead and commit this fix and then resolve.

~0009111

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-30 19:16 asyikarea51 New Issue
2008-03-31 00:23 taylor Note Added: 0009092
2008-03-31 00:23 taylor Status new => assigned
2008-03-31 00:23 taylor Assigned To => taylor
2008-03-31 01:06 asyikarea51 Note Added: 0009093
2008-03-31 01:19 taylor Note Added: 0009094
2008-03-31 01:25 asyikarea51 Note Added: 0009095
2008-03-31 08:41 karajorma Note Added: 0009109
2008-03-31 12:50 taylor Note Added: 0009110
2008-03-31 12:58 taylor Status assigned => resolved
2008-03-31 12:58 taylor Fixed in Version => 3.6.10
2008-03-31 12:58 taylor Resolution open => fixed
2008-03-31 12:58 taylor Note Added: 0009111
+Issue History